List an agent's skills
curl --request GET \
--url https://api.hq.zone/v1/agents/{id}/skills \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hq.zone/v1/agents/{id}/skills"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hq.zone/v1/agents/{id}/skills', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"enabled": [
"<string>"
]
}Agents
List an agent's skills
Returns the agent’s enabled skill subset as a list of skill slugs. An empty list means the agent uses all skills installed for the workspace. Returns 404 if the agent is not in the caller’s workspace. Requires the agents:read scope.
GET
/
v1
/
agents
/
{id}
/
skills
List an agent's skills
⌘I